Bug 172667

Summary: Don't use designated initializers in WebBackForwardListProxy.cpp
Product: WebKit Reporter: Konstantin Tokarev <annulen>
Component: WebKit Misc.Assignee: Konstantin Tokarev <annulen>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, andersca, Basuke.Suzuki, cdumez, commit-queue, don.olmstead, ggaren, mcatanzaro, sam, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 174003    
Attachments:
Description Flags
Patch none

Description Konstantin Tokarev 2017-05-26 15:24:44 PDT
Designated initializers are not defined by C++ standard, and are not supported by MSVC.
Comment 1 Konstantin Tokarev 2017-05-26 15:25:54 PDT
Created attachment 311382 [details]
Patch
Comment 2 Sam Weinig 2017-05-27 16:01:41 PDT
WebKit2 does not support MSVC at this time, so I don't really see the point of this.
Comment 3 Don Olmstead 2017-05-27 18:48:32 PDT
(In reply to Sam Weinig from comment #2)
> WebKit2 does not support MSVC at this time, so I don't really see the point
> of this.

We have some devs who have started preliminary work on WK2 for Windows. The Qt port has some of this functionality so we'd like to start landing it for WinCairo.
Comment 4 Sam Weinig 2017-05-27 20:58:13 PDT
We explicitly removed support for Windows a little while ago, so I think a discussion on the mailing list is probably warranted to consider bringing it back.
Comment 5 Konstantin Tokarev 2017-05-28 00:55:55 PDT
(In reply to Sam Weinig from comment #4)
> We explicitly removed support for Windows a little while ago, so I think a
> discussion on the mailing list is probably warranted to consider bringing it
> back.

I think there is a big difference between upstreaming Windows support in WK2, and just making port-independent code standards-compliant so people can use it in downstreams.
Comment 6 Michael Catanzaro 2017-05-29 19:08:10 PDT
(In reply to Konstantin Tokarev from comment #5)
> I think there is a big difference between upstreaming Windows support in
> WK2, and just making port-independent code standards-compliant so people can
> use it in downstreams.

Yeah, Sam has a good point here regarding Windows support, but this patch seems good to me anyway as it is valuable to avoid nonstandard compiler features when they are unnecessary.

(FWIW: there are lots of projects that are missing Windows support for WebKitGTK+ and would love to have it -- e.g. Pidgen, GIMP, GnuCash -- but I doubt Igalia would be interested in maintaining it.)
Comment 7 Konstantin Tokarev 2017-05-30 02:32:37 PDT
(In reply to Michael Catanzaro from comment #6)
> (In reply to Konstantin Tokarev from comment #5)
> > I think there is a big difference between upstreaming Windows support in
> > WK2, and just making port-independent code standards-compliant so people can
> > use it in downstreams.
> 
> Yeah, Sam has a good point here regarding Windows support, but this patch
> seems good to me anyway as it is valuable to avoid nonstandard compiler
> features when they are unnecessary.
> 
> (FWIW: there are lots of projects that are missing Windows support for
> WebKitGTK+ and would love to have it -- e.g. Pidgen, GIMP, GnuCash -- but I
> doubt Igalia would be interested in maintaining it.)

Note that Windows IPC works fine in my branch, so it maintaining WK2 for Igalia would be a matter of maintaining GTK-specific changes
Comment 8 Alex Christensen 2017-05-30 11:05:48 PDT
Comment on attachment 311382 [details]
Patch

I think we should be ok with upstreaming this patch and others like it.  We should definitely discuss on webkit-dev before resurrecting or writing anew lots of Windows WK2 code.
Comment 9 WebKit Commit Bot 2017-05-30 11:34:58 PDT
Comment on attachment 311382 [details]
Patch

Clearing flags on attachment: 311382

Committed r217564: <http://trac.webkit.org/changeset/217564>
Comment 10 WebKit Commit Bot 2017-05-30 11:35:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2017-05-30 20:20:49 PDT
<rdar://problem/32479690>